POST /api/v3/hierarchy/place/availableCostCenters

Finds available topmost cost centers associated with a list of topmost places

AvailableCostCentersForTopmostPlacesV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to determine which cost centers are reachable from a set of places. Useful for cross-hierarchy navigation when setting up user permissions or filtering.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

CostCenterChild
Property Description Type
costCenterCode The cost center code string
costCenterId The cost center identifier integer (int32)
costCenterInfo The cost center info string
Example Response application/json
[
  {    "costCenterCode": "string",    "costCenterId": 1,    "costCenterInfo": "string"
  }
]